;     PWM
.equ	osc	=	16000000	;   16MHz
.equ	CodZero	=	0b10000001	;  "0"  
;   RAM()
.dseg
.org	SRAM_START
;digi0:	.BYTE 0x01		;     ()
;digi1:	.BYTE 0x01		;     ()
;digi2:	.BYTE 0x01		;     ()
;digu0:	.BYTE 0x01		;     ()
;digu1:	.BYTE 0x01		;     ()
;digu2:	.BYTE 0x01		;     ()
;KeyOld:	.BYTE 0x01		;   
retAddrL:	.BYTE 0x01	;  
retAddrH:	.BYTE 0x01	;  
skipAddrL:	.BYTE 0x01	;  
skipAddrH:	.BYTE 0x01	;  
subAddrL:	.BYTE 0x01	;  
subAddrH:	.BYTE 0x01	;  
w1buf1:		.BYTE 0x09	;  
w1temp1:		.BYTE 0x01	;   1- 
w1temp2:		.BYTE 0x01	;   2- 
w1temp3:		.BYTE 0x01	;   3- 
w1temp4:		.BYTE 0x01	;   4- 
w1err1:		.BYTE 0x01	;    1- 
TempBuf:	.BYTE 0x03	;  
IndBuf:		.BYTE 0x03	; 
.eseg
.org	0
.equ		w1EElen	=	0x8
w1Eecount:		.BYTE 0x1	;  1-wire(1-254)
w1addrEe1:		.BYTE w1EElen	;  1-wire 1
w1addrEe2:		.BYTE w1EElen	;  1-wire 2
w1addrEe3:		.BYTE w1EElen	;  1-wire 3
w1addrEe4:		.BYTE w1EElen	;  1-wire 4
; ********************************
; ****  ***
; ********************************
;  ""
.equ	PwmPort			=	PORTB
.equ	PwmDir			=	DDRB
.equ	PwmPin			=	PINB
.equ	pwmModeMask		=	0b00110000
.equ	pwmModeMaskNeg	=	0b11001111
.equ	Pwm		= PB3	;  '0'  B ( 1wire)
.equ	w1Port	=	PORTB
.equ	w1Dir	=	DDRB
.equ	w1Pin	=	PINB
.equ	w1		=	PB0	;  '0'  B ( 1wire)

.equ	o1w	=	PB1
;.equ	dig1I	= PB0	;  '0'  ADC0 ( )
;.equ	dig2I	= PB1	;  '1'  ADC1 ( )
;.equ	dig3I	= PB2	;  '2'  ADC2 ( )
;.equ	dig1U	= PB3	;  '0'  ADC3 ( )
;.equ	dig2U	= PB4	;  '1'  ADC4 ( )
;.equ	dig3U	= PB5	;  '2'  ADC5 ( )
;  "C"
.equ	DigPort			=	PORTC
.equ	DigDir			=	DDRC
.equ	DigPin			=	PINC
.equ	DigMask			=	0b00000111	;
.equ	DigMaskNeg		=	0b11111000	;
.equ	DigH		=	PC0				; 
.equ	DigM		=	PC1				; 
.equ	DigL		=	PC2				; 

.equ	ADCPort			=	PORTC
.equ	ADCDir			=	DDRC
.equ	ADCPin			=	PINC		; 
.equ	ADCPinMask		=	0b11000000	;
.equ	ADCPinMaskNeg	=	0b00111111
.equ	inCur	=	0b01100110	;AREF(b7.b6-01),  (b5 - 1)  - ADC6 Gain1(b4-0 - 00110)
;.equ	ADC6	=	PC6
;  "A"  7    
.equ	inVolt	=	0b01100111	;AREF(b7.b6-01),  (b5 - 1)  - ADC7 Gain1(b4-0 - 00111)
;.equ	ADC7	=	PC7
;  "D"   
.equ	IndPort	=	PORTD
.equ	IndDir	=	DDRD
;  "D"  0-3 , 4-6 , 7  
.equ	KeyPort		=	PORTD
.equ	KeyDir		=	DDRD
.equ	KeyPin		=	PIND
.equ	KeyMask		=	0b00001111
.equ	KeyMaskNeg	=	0b11110000

;**************        *****************
; ************* Low *****************
;  r0  r1      -  
.def	tempSreg	=	r2		;   SREG

;.def	tADC0		=	r3		;   
;.def	tADC1		=	r4		;   
;.def	tADC2		=	r5		;   

;.def	DelConst	=	r6		; 
.def	BlancReg	=	r7		;  
.def	OutPoz		=	r8		;  
.def	OutSim		=	r9		;    

.def	mainCount	=	r10		;    

;    
;.def	tmp1 		=	r11		;   ()
;.def	tmpADCi		=	r13		;    
;.def	tmpADCu		=	r14		;    
;.def	CounterADC	=	r15		;  
; ************* High ****************
;    
.def	tmp2 		=	r16		;   ()
;.def	tADC		=	r17		;   

;.def	DelCounter	=	r18		;  
.def	temp 		=	r16		;  
;.def	mcHelp		=	r20		;    
;.def	DelCnt		=	r21		;  
;.def			=	r22
;.def	keycount	=	r23		;    
;.def	keyreg	=	r10;24
.def	flag	=	r25			;  
.def	w1flag	=	r25			;    1wire
.equ	tReady	=	0			;  0 -  
.equ	minus	=	1			;  1 -   1wire High
;.equ	w1rbyte	=	2			;  2 -   1wire
;.equ	w1rwbit	=	3			;  3 -   1wire
.equ	w1error	=	4			;  4 -  CRC 1wire
.equ	w1delay	=	5			;  5 -    1wire
.equ	w1work	=	6			;  6 - 1wire  
.equ	w1use	=	7			;  7 -  1wire
; *************   ****************
; ************    **************
;.def			=	r26	; XL	
;.def			=	r27	; XH
;.def			=	r28	; YL	
;.def			=	r29	; YH
;.def			=	r30	; ZL	  
;.def			=	r31	; ZH	    
;********  End Variables  ***********
.macro	Ini_TMR2			; Timer2
		ldi		temp,255			;   (   "1")
		out		OCR2,temp
		;out		OCR2,BlancReg
	;	ldi		temp,0b01111001	;Fast PWM, No Prescaler, Set on compare
		ldi		temp,0b01111100	;Fast PWM, No Prescaler, Set on compare
		out		TCCR2,temp		; 
		in		temp,TIMSK
		ori		temp,(1<<TOIE2)		;   
		out		TIMSK,temp		; 2
.endm
.macro	StartPWM2		; PWM    
		in		temp,TCCR2
		ori		temp,pwmModeMask	;0b00110000  (79hex)121
		out		TCCR2,temp
.endm
.macro	StopPWM2			; PWM   
		in		temp,TCCR2
		andi	temp,pwmModeMaskNeg	;0b11001111  (49hex)73
		out		TCCR2,temp
		sbi		PwmPort,Pwm		;    "1"
		sbi		PwmDir,Pwm		;  
.endm
.macro	StopTMR2			; Timer2
		clr		temp
		out		TCCR2,temp
.endm
